<?php
if (!defined("_ECRIRE_INC_VERSION")) return;

include_spip('inc/presentation');

function exec_test_php_call_dist(){

    // si pas autorise : message d'erreur
    if (!autoriser('voir', 'test_php_call')) {
        include_spip('inc/minipres');
        echo minipres();
        exit;
    }

    // pipeline d'initialisation
    pipeline('exec_init', array('args'=>array('exec'=>'test_php_call'),'data'=>''));

    // entetes
    $commencer_page = charger_fonction('commencer_page', 'inc');
    // titre, partie, sous_partie (pour le menu)
    echo $commencer_page(_T('google_analytics_api:php_example_title'));
    
		echo "<center><h1>"._T('google_analytics_api:php_example_title')."</h1></center>";
		
    /************ GOOGLE ANALYTICS API CODE EXAMPLE 1 *************/
    
    echo '<fieldset style="border: 1px solid;padding:10px;"><legend>
      <strong>&nbsp;'._T('google_analytics_api:example_1').'&nbsp;</strong>
  	</legend>';
    
    $dimension1 = "ga:pagePath";
    $dimensions = array($dimension1);
    
    $metric1 = array("expression" => "ga:pageviews", "alias" => _T('google_analytics_api:page_views'));
    $metric2 = array("expression" => "ga:newUsers", "alias" => _T('google_analytics_api:new_users'));
    $metrics = array($metric1, $metric2);
    
    $filter1 = array("dimensionName" => "ga:pagePath", "operator" => "PARTIAL", "expression" => ".html");
    $filters = array($filter1);
    
    $dateRange1 = array("startDate" => "15daysAgo", "endDate" => "today");
    $dateRanges = array($dateRange1);
    
    $orderBys = array("FieldName" => "ga:pageviews", "OrderType" => "VALUE", "SortOrder" => "DESCENDING");
    
    $conf = array(
    	"dimensions" => $dimensions,
    	"metrics" => $metrics,
    	"filters" => $filters,
    	"dateRanges" => $dateRanges,
    	"orderBys" => $orderBys,
    	"pageSize" => 10
    );
    
    echo get_analytics($conf, true);
    
    echo "<br><br></fieldset>"; 
    
    /************ END GOOGLE ANALYTICS API CODE EXAMPLE 1 *************/
    
    
    /************ GOOGLE ANALYTICS API CODE EXAMPLE 2 *************/
    
    echo '<fieldset style="border: 1px solid;padding:10px;"><legend>
      <strong>&nbsp;'._T('google_analytics_api:example_2').'&nbsp;</strong>
  	</legend>';
    
    $dimension1 = "ga:operatingSystem";
    $dimension2 = "ga:operatingSystemVersion";
    $dimensions = array($dimension1, $dimension2);
    
    $metric1 = array("expression" => "ga:pageviews", "alias" => _T('google_analytics_api:page_views'));
    $metrics = array($metric1);
    
    $dateRange1 = array("startDate" => "7daysAgo", "endDate" => "today");
    $dateRanges = array($dateRange1);
    
    $orderBys = array("FieldName" => "ga:pageviews", "OrderType" => "VALUE", "SortOrder" => "DESCENDING");
    
    $conf = array(
    	"dimensions" => $dimensions,
    	"metrics" => $metrics,
    	"filters" => $filters,
    	"dateRanges" => $dateRanges,
    	"orderBys" => $orderBys,
    	"pageSize" => 10
    );
    
    $report = get_analytics($conf);
    
    echo "<ul>";
		$n = 0;
		foreach($report as $row){
			$n++;
			echo '<li style="padding:10px;"><strong>'.$n.'. '.$row[0].' '.$row[1].'</strong> ('.$row[2].' '._T('google_analytics_api:page_views').')</li>';
		}
		echo "</ul>";
    
    echo "<br><br></fieldset>"; 
    
    /************ END GOOGLE ANALYTICS API CODE EXAMPLE 2 *************/

    echo fin_page();
}
?>